Subject: DNS IQUERY Obsolete advancement

From: Ólafur Guðmundsson<[email-masked]>
Date: Tue, 18 Dec 2001 11:13:58 -0500

Erik,
The working group has completed the review of this document and there
is strong consensus to advancement it.
Please start IETF last call process.

	Title		: Obsoleting IQUERY
	Author(s)	: D. Lawrence
	Filename	: draft-ietf-dnsext-obsolete-iquery-02.txt
	Pages		: 4
	Date		: 14-Dec-01
	
Based on a lack of working implementations of the IQUERY method
of performing inverse DNS lookups, and because an alternative
mechanism for doing inverse queries of address records has been
successfully used operationally for well over a decade, this
draft proposes that the IQUERY operation be entirely obsoleted.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-dnsext-obsolete-iquery-02.txt

to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.

---

From: Erik Nordmark <[email-masked]>
Date: Tue, 18 Dec 2001 19:00:24 +0100 (CET)

> Please start IETF last call process.

I'm assuming this is for Proposed Standard status.

  Erik

---

From: Ólafur Guðmundsson <[email-masked]>
Date: Tue, 18 Dec 2001 13:21:06 -0500

>I'm assuming this is for Proposed Standard status.

This ID updates an Full standard, does this have to go through the
full standards process, or it go to Full or draft standard ?
Testing is simple just check for RCODE, in any case there is minimal
code to write.

         Olafur

---

From: Erik Nordmark <[email-masked]>
Date: Tue, 18 Dec 2001 19:28:39 +0100 (CET)

> Testing is simple just check for RCODE, in any case there is minimal

It, like any update or obsoleting of a full standard,
would go through the regular proposed, draft, standard steps.

  Erik

---

From: Robert Elz <[email-masked]>
Date: Wed, 19 Dec 2001 12:07:09 +0700

Date:        Tue, 18 Dec 2001 19:28:39 +0100 (CET)
    From:        Erik Nordmark <[email-masked]>
    Message-ID:  <[email-masked]>

  | It, like any update or obsoleting of a full standard,
  | would go through the regular proposed, draft, standard steps.

It is going to be kind of interesting when we come to look for two
or more independent implementations of the failure to implement IQUERY...

Sure, my FTP server doesn't implement IQUERY - there's one!  My SMTP
server doesn't either.  That's the second.

This probably should be a BCP, rather than PS etc.

kre

---

From: Peter Koch <[email-masked]>
Date: Wed, 19 Dec 2001 22:02:41 +0100

{Cc trimmed}

> or more independent implementations of the failure to implement IQUERY...

My first thought also was how that non-interoperability test would look like.
But then one could argue that it's necessary to show that DNS "works" without
the need to implement IQUERY which calls for the usual standards track approach
(and rapid advancement in this case since "wide deployment" shows IQUERY
*is* not needed).

> This probably should be a BCP, rather than PS etc.

It is more like an Applicability Statement as of RFC 2026, section 3.3(e).
IQUERY is optional in STD 13 anyway, so with current rules applied it would
not have become part of the STD. Section 9 of 2026 could open the door for
instant addition of this draft to the set of STD13. The procedural cost though
may be high compared to the achieved gain given that nobody seems to have
wasted time implementing IQUERY for quite a couple of years.

-Peter